Subject: bug#62621: 29.0.60; uniquify can't make buffers unique based on things other than filename

From: Juri Linkov <[email-masked]>
Date: Fri, 14 Jul 2023 19:31:23 +0300

> The fact that uniquify doesn't use default-directory also means it's
> unable to uniquify buffers which aren't visiting files, which can be
> annoying.  For example, if uniquify used default-directory then it could
> uniquify *compilation* buffers for different projects, renaming them
> based on the directory.  But because it can't, every package has to come
> up with their own special buffer-renaming scheme... include project.el.

Why couldn't uniquify use default-directory?  It would be nice to have
such buffer names based on default-directory:

  *compilation*<project-1>
  *compilation*<project-2>